%global major 0
%define libname %mklibname ndp %{major}
%define devname %mklibname -d ndp

%define subrel 1

Name: libndp
Version: 1.4
Release: %mkrel 3
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries
License: LGPLv2+
URL: http://www.libndp.org/
Source: http://www.libndp.org/files/libndp-%{version}.tar.gz
Patch0: 0001-libndp-validate-the-IPv6-hop-limit.patch
Patch1: 0002-libndb-reject-redirect-and-router-advertisements-fro.patch


%description
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n %{libname}
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries

%description -n %{libname}
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n %{devname}
Group: Development/C
Summary: Libraries and header files for libndp development
Requires: %{libname} = %{version}-%{release}
Provides: libndp-devel

%description -n %{devname}
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
find %{buildroot} -name \*.la -delete

%files -n %{libname}
%doc COPYING
%{_libdir}/*so.*
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue May 17 2016 philippem <philippem> 1.4-3.1.mga5
+ Revision: 1016532
- libndp: validate the IPv6 hop limit [CVE-2016-3698] libndb: reject redirect and router advertisements from non-link-local [CVE-2016-3698] mga#18125

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 749436
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 681632
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 luigiwalser <luigiwalser> 1.4-1.mga5
+ Revision: 666317
- 1.4
- remove upstreamed CVE-2014-3554 patch

* Wed Jul 30 2014 luigiwalser <luigiwalser> 1.2-3.mga5
+ Revision: 658328
- add patch from redhat to fix CVE-2014-3554
- remove strange obsoletes

* Tue Feb 11 2014 tv <tv> 1.2-2.mga5
+ Revision: 589398
- fix library name; add devel provides

* Tue Feb 11 2014 tv <tv> 1.2-1.mga5
+ Revision: 589390
- imported package libndp

